using Dusk;

namespace HookahPlace.Content;

public class HookahContentHandler : ContentHandler<HookahContentHandler>
{
    const int HOOKAH_PRICE = 130;

    public HookahContentHandler(DuskMod mod) : base(mod)
    {
        NukeDawnLibConfig.NukeUnlockable(HookahPlace.Config, "HookahUnlockable", "Hookah", HOOKAH_PRICE);

        if (!RegisterContent("hookahunlockableassets", out DefaultBundle? bundle, forceEnabled: true) || bundle == null)
        {
            HookahPlace.Logger.LogError($"Failed to register content");
            return;
        }
    }
}
